package com.kmall.admin.service.mk.store;

import com.kmall.admin.entity.mk.store.MkStorePromTypeEntity;

import java.util.List;
import java.util.Map;

/**
 * 门店活动分类表，store promotionService接口
 *
 * @author emato
 * @email admin@qhdswl.com
 * @date 2019-04-28 14:15:21
 */
public interface MkStorePromTypeService {

    /**
     * 根据主键查询实体
     *
     * @param promTypeId 主键
     * @return 实体
     */
    MkStorePromTypeEntity queryObject(Integer promTypeId);

    /**
     * 分页查询
     *
     * @param map 参数
     * @return list
     */
    List<MkStorePromTypeEntity> queryList(Map<String, Object> map);

    /**
     * 分页统计总数
     *
     * @param map 参数
     * @return 总数
     */
    int queryTotal(Map<String, Object> map);

    /**
     * 保存实体
     *
     * @param mkStorePromType 实体
     * @return 保存条数
     */
    int save(MkStorePromTypeEntity mkStorePromType);

    /**
     * 根据主键更新实体
     *
     * @param mkStorePromType 实体
     * @return 更新条数
     */
    int update(MkStorePromTypeEntity mkStorePromType);

    /**
     * 根据主键删除
     *
     * @param promTypeId
     * @return 删除条数
     */
    int delete(Integer promTypeId);

    /**
     * 根据主键批量删除
     *
     * @param promTypeIds
     * @return 删除条数
     */
    int deleteBatch(Integer[] promTypeIds);
}
